#!/bin/bash

root=$(
  cd $(dirname "$0")
  pwd
)

start()
{
    echo "do_start"
    if [ -f $root/conf/uuid.dat ];then
        yes "yes" 2>/dev/null |rm $root/conf/uuid.dat
    fi
    export GODEBUG=madvdontneed=1,netdns=go
    ulimit -s 8192
    nohup $root/YDEyes/YDService >/dev/null 2>&1 &
    $root/YDLive/YDLive 2>&1
    echo "YDLive exit"
}

stop()
{
    echo "do_stop"
    $root/stopYDCore.sh
}

install()
{
    echo "do_install"
    cat >/usr/lib/systemd/system/yunjing_eks.service<<EOL
[Unit]
Description=YDService
RequiresAny=containerd.service docker.service
[Service]
Type=simple
ExecStart=/usr/local/qcloud/YunJing/yunjing_eks.sh start
ExecStop=/usr/local/qcloud/YunJing/yunjing_eks.sh stop
[Install]
WantedBy=multi-user.target
EOL
    systemctl daemon-reload && \
    systemctl start yunjing_eks && \
    echo "install success"
}

soft_uninst()
{
    stop

    echo "do_soft_uninst"
    $root/uninst.sh -report_only
}

case $1 in
    help | "" )
        declare -F|awk '{print $3}'
        exit 1
        ;;
    * )
        cmd=$1
        shift
        echo $cmd
        $cmd "$@"
        ;;
esac
